Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1281804 - unzip security update case extracting errors
Summary: unzip security update case extracting errors
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: unzip
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Stodulka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-13 13:02 UTC by Petr Stodulka
Modified: 2015-12-14 11:52 UTC (History)
1 user (show)

Fixed In Version: unzip-6.0-24.fc23 unzip-6.0-23.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-25 21:52:05 UTC
Type: Bug


Attachments (Terms of Use)
fix (637 bytes, patch)
2015-11-13 13:18 UTC, Petr Stodulka
no flags Details | Diff

Description Petr Stodulka 2015-11-13 13:02:12 UTC
Previous security update [0] cause extracting errors in some cases. Bug is caused by wrong condition. See patch below.

For more information see [1]. Thanks to Marc Deslauriers for notification.

[0] https://bugzilla.redhat.com/show_bug.cgi?id=1260947
[1] https://bugs.launchpad.net/ubuntu/+source/unzip/+bug/1513293

Comment 1 Petr Stodulka 2015-11-13 13:18:07 UTC
Created attachment 1093633 [details]
fix

Comment 2 Petr Stodulka 2015-11-23 13:57:30 UTC
Sec. update was applied earlier only in rawhide. So added fixed security fix to previous fedora releases.

Comment 3 Fedora Update System 2015-11-23 14:52:07 UTC
unzip-6.0-23.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1d21e7f650

Comment 4 Fedora Update System 2015-11-24 00:54:11 UTC
unzip-6.0-23.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update unzip'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1d21e7f650

Comment 5 Fedora Update System 2015-11-24 02:22:54 UTC
unzip-6.0-24.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update unzip'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-cb9e145627

Comment 6 Fedora Update System 2015-11-25 21:52:04 UTC
unzip-6.0-24.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-12-14 11:52:25 UTC
unzip-6.0-23.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.